Bug 1410588 - Floating IP CRUD UI Missing
Summary: Floating IP CRUD UI Missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.1
Assignee: Gilles Dubreuil
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack
Depends On: 1394277
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 20:07 UTC by Satoe Imaishi
Modified: 2017-08-30 03:45 UTC (History)
8 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1394277
Environment:
Last Closed: 2017-02-27 19:16:50 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-13 19:25:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/fc719649568c5b0fadc90479c88f00625decb886

commit fc719649568c5b0fadc90479c88f00625decb886
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Wed Dec 21 14:56:01 2016 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 13 14:15:56 2017 -0500

    Merge pull request #12097 from gildub/network-provisioning-floating-ips-ui
    
    Floating IPs provisioning UI
    (cherry picked from commit 57b0a61fa1d9529582056123b68c47d7707a26ca)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410588

 .../floating_ip/floating_ip_form_controller.js     |  57 +++++
 app/controllers/floating_ip_controller.rb          | 251 +++++++++++++++++++++
 .../toolbar/floating_ip_center.rb                  |  66 ++++--
 .../toolbar/floating_ips_center.rb                 |  81 +++++--
 app/models/floating_ip.rb                          |   7 +
 .../providers/openstack/network_manager.rb         |   1 -
 .../openstack/network_manager/floating_ip.rb       |  21 +-
 app/views/floating_ip/edit.haml                    |  25 ++
 app/views/floating_ip/new.html.haml                |  87 +++++++
 config/routes.rb                                   |  14 +-
 db/fixtures/miq_product_features.yml               |  17 ++
 spec/controllers/floating_ip_controller_spec.rb    | 199 ++++++++++++++++
 12 files changed, 785 insertions(+), 41 deletions(-)
 create mode 100644 app/assets/javascripts/controllers/floating_ip/floating_ip_form_controller.js
 create mode 100644 app/views/floating_ip/edit.haml
 create mode 100644 app/views/floating_ip/new.html.haml

Comment 3 CFME Bot 2017-01-19 14:55:51 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/979afe91aede69fadc2f005e33324e454a799dda

commit 979afe91aede69fadc2f005e33324e454a799dda
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Thu Jan 19 09:17:16 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jan 19 09:49:49 2017 -0500

    Merge pull request #192 from gildub/openstack_floating_ip_wait_for_task_route
    
    Floating IPs: Adds missing route for wait_for_task
    (cherry picked from commit 050b7a65893b31eccef073909a6389407063bd3e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410588

 config/routes.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 4 Ronnie Rasouli 2017-01-31 14:06:10 UTC
verifed on 5.7.1.0

Comment 5 errata-xmlrpc 2017-02-27 19:16:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.